<template>
<div id="table" class="app-container calendar-list-container">
	    <!-- 查询和其他操作 -->
	    <div class="filter-container" style="margin: 10px 0 10px 0;">
        <el-form :inline="true" label-width="68px" style="margin-bottom: 8px;">
          <el-form-item label="妹子名称">
            <el-input clearable class="filter-item" style="width: 200px;" v-model="queryParams.name" placeholder="请输入名称"></el-input>
          </el-form-item>
          <el-form-item label="妹子ID">
            <el-input clearable class="filter-item" style="width: 200px;" v-model="queryParams.uid" placeholder="请输入妹子ID"></el-input>
          </el-form-item>
          <el-form-item label="创建时间" label-width="100px">
            <el-date-picker
              v-model="queryParams.createTime"
              class="baseInput"
              type="date"
              placeholder="请选择"
              format="yyyy-MM-dd"
              value-format="yyyy-MM-dd"
            />
          </el-form-item>
          <el-form-item label="更新时间" label-width="125px">
            <el-date-picker
              v-model="queryParams.updateTime"
              class="baseInput"
              type="date"
              placeholder="请选择"
              format="yyyy-MM-dd"
              value-format="yyyy-MM-dd"
            />
          </el-form-item>
          <el-form-item label="标签">
            <el-select
              v-model="queryParams.tagUid"
              class="filter-item"
              placeholder="请选择"
              style="width: 140px"
              filterable
              clearable
              remote
              reserve-keyword
            >
              <el-option
                v-for="item in tagData"
                :key="item.uid"
                :label="item.name"
                :value="item.uid"
              ></el-option>
            </el-select>
          </el-form-item>
          <el-form-item label="城市">
            <el-select
              v-model="queryParams.cityUid"
              class="filter-item"
              placeholder="请选择"
              style="width: 140px"
              filterable
              clearable
              remote
              reserve-keyword
            >
              <el-option
                v-for="item in cityData"
                :key="item.uid"
                :label="item.name"
                :value="item.uid"
              ></el-option>
            </el-select>
          </el-form-item>
          <!--<el-button class="filter-item" type="primary" icon="el-icon-search" @click="handleFind" v-permission="'/girl/getList'">查找</el-button>
          <el-button class="filter-item" type="primary" icon="el-icon-edit" @click="handleUpdateTag" v-permission="'/girl/add'">新增</el-button>-->
          <el-button class="filter-item" type="primary" icon="el-icon-search" @click="handleFind">查找</el-button>
          <el-button class="filter-item" type="primary" icon="el-icon-edit" @click="handleAdd">新增</el-button>
        </el-form>
	      <!--<el-button class="filter-item" type="primary" @click="handleAdd" icon="el-icon-edit" v-permission="'/pictureAtlas/add'">添加</el-button>-->
	    </div>

  <!--列表信息-->
    <el-table :data="tableData" style="width:100%" class="show_table" >
      <!--<el-table-column type="selection"></el-table-column>-->
      <el-table-column label="妹子ID" width="100" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.uid }}</span>
        </template>
      </el-table-column>
	    <el-table-column label="妹子名称" width="160" align="center">
	      <template slot-scope="scope">
	        <!--<span @click="handlePic(scope.row)" style="background-color:#EAFBFF;">{{ scope.row.name }}</span>-->
	        <span @click="handlePic(scope.row)" style="background-color:#EAFBFF;">{{ scope.row.name }}</span>
	      </template>
	    </el-table-column>
      <el-table-column label="简介" width="160" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.introduce }}</span>
        </template>
      </el-table-column>
      <el-table-column label="年龄" width="160" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.age }}</span>
        </template>
      </el-table-column>
      <el-table-column label="价格（次）" width="160" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.priceOne }}</span>
        </template>
      </el-table-column>
      <el-table-column label="价格（包夜）" width="160" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.priceNight }}</span>
        </template>
      </el-table-column>
      <el-table-column label="城市" width="200" align="center" >
        <template slot-scope="scope">
          <span v-if="scope.row.city">{{ scope.row.city.name }}</span>
        </template>
      </el-table-column>
      <el-table-column label="身高（cm）" width="140" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.height }}</span>
        </template>
      </el-table-column>
      <el-table-column label="体重（kg）" width="140" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.weight }}</span>
        </template>
      </el-table-column>
      <el-table-column label="罩杯" width="160" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.cup }}</span>
        </template>
      </el-table-column>
      <el-table-column label="职业" width="160" align="center">
        <template slot-scope="scope">
          <span >{{ scope.row.occupation }}</span>
        </template>
      </el-table-column>
      <el-table-column label="标签" width="200" align="center" >
        <template slot-scope="scope">
          <template>
            <el-tag
              style="margin-left: 3px"
              type="warning"
              v-if="item"
              :key="index"
              v-for="(item, index) in scope.row.tagList"
            >{{item.name}}</el-tag>
          </template>
        </template>
      </el-table-column>
      <el-table-column label="图片数量" width="160" align="center">
        <template slot-scope="scope">
          <span >{{ scope.row.count }}</span>
        </template>
      </el-table-column>
      <el-table-column label="创建时间" width="160" align="center">
	      <template slot-scope="scope">
	        <span >{{ scope.row.createTime }}</span>
	      </template>
	    </el-table-column>
      <el-table-column label="更新时间" width="160" align="center">
        <template slot-scope="scope">
          <span >{{ scope.row.updateTime }}</span>
        </template>
      </el-table-column>
      <el-table-column label="操作人" width="160" align="center">
        <template slot-scope="scope">
          <span >{{ scope.row.userName }}</span>
        </template>
      </el-table-column>
      <el-table-column label="操作时间" width="160" align="center">
        <template slot-scope="scope">
          <span >{{ scope.row.operatorTime }}</span>
        </template>
      </el-table-column>

      <el-table-column label="操作" min-width="340" fixed="right" align="center">
        <template slot-scope="scope">
          <!--<el-button @click="handleEdit(scope.row)" type="primary" size="small" v-permission="'/girl/edit'">编辑</el-button>
          <el-button @click="handleDelete(scope.row)" type="primary" size="small" v-permission="'/girl/delete'">删除</el-button>-->
          <el-switch v-model="scope.row.available"
                     active-color="#13ce66"
                     inactive-color="#ff4949"
                     active-text="提前预约"
                     inactive-text="空闲中"
                     :active-value="2"
                     :inactive-value="1"
                     @change="changeSwitch(scope.row)" >
          </el-switch>

          <el-button @click="handleEdit(scope.row)" type="primary" size="small">编辑</el-button>
          <el-button @click="handleDelete(scope.row)" type="danger" size="small">删除</el-button>
        </template>
      </el-table-column>
	  </el-table>

		<!--分页-->
  <div class="block">
    <el-pagination
      @size-change="handleSizeChange"
      @current-change="handleCurrentChange"
      :current-page.sync="currentPage"
      :page-sizes="[40, 80, 120, 200]"
      :page-size="pageSize"
      layout="total, prev, pager, next, jumper, sizes"
      :total="total">
    </el-pagination>
  </div>


	  <!-- 添加或修改对话框 -->
		<el-dialog :title="title" :visible.sync="dialogFormVisible" width="40%" :before-close="girlHandleClose">
		  <el-form :model="form" :rules="rules" ref="form">
        <el-form-item label="妹子ID" :label-width="formLabelWidth" v-if="isEditForm">
          <span>{{form.uid}}</span>
        </el-form-item>
		    <el-form-item label="妹子名称：" :label-width="formLabelWidth" prop="name">
		      <el-input v-model="form.name" auto-complete="off" style="width: 80%"></el-input>
		    </el-form-item>
		    <el-form-item label="简介：" :label-width="formLabelWidth" prop="introduce">
		      <textarea v-model="form.introduce" type="text" auto-complete="off" style="width: 80%;height: 100px"></textarea>
		    </el-form-item>
        <el-form-item label="年龄：" :label-width="formLabelWidth" prop="age">
          <el-input v-model="form.age" auto-complete="off" style="width: 80%"></el-input>
        </el-form-item>
        <el-form-item label="价格（次）：" :label-width="formLabelWidth" prop="priceOne">
          <el-input v-model="form.priceOne" auto-complete="off" style="width: 80%"></el-input>
        </el-form-item>
        <el-form-item label="价格（包夜）：" :label-width="formLabelWidth" prop="priceNight">
          <el-input v-model="form.priceNight" auto-complete="off" style="width: 80%"></el-input>
        </el-form-item>
        <el-form-item label="城市：" :label-width="formLabelWidth">
          <el-select
            @input="cityContentChange"
            v-model="cityValue"
            size="small"
            placeholder="请选择"
            style="width: 80%"
            filterable
          >
            <el-option
              v-for="item in cityData"
              :key="item.uid"
              :label="item.name"
              :value="item.uid"
            ></el-option>
          </el-select>
        </el-form-item>
        <el-form-item label="身高（cm）：" :label-width="formLabelWidth" prop="height">
          <el-input v-model="form.height" auto-complete="off" style="width: 80%"></el-input>
        </el-form-item>
        <el-form-item label="体重（kg）：" :label-width="formLabelWidth" prop="weight">
          <el-input v-model="form.weight" auto-complete="off" style="width: 80%"></el-input>
        </el-form-item>
        <el-form-item label="罩杯：" :label-width="formLabelWidth" prop="cup">
          <el-input v-model="form.cup" auto-complete="off" style="width: 80%"></el-input>
        </el-form-item>
        <el-form-item label="职业：" :label-width="formLabelWidth" prop="occupation">
          <el-input v-model="form.occupation" auto-complete="off" style="width: 80%"></el-input>
        </el-form-item>
        <el-form-item label="标签：" :label-width="formLabelWidth" prop="tagUid">
          <el-select
            @input="tagContentChange"
            v-model="form.tagUid"
            multiple
            size="small"
            placeholder="请选择"
            style="width: 80%"
            filterable
          >
            <el-option
              v-for="item in tagData"
              :key="item.uid"
              :label="item.name"
              :value="item.uid"
            ></el-option>
          </el-select>
        </el-form-item>
        <el-form-item label="小视频（最多1部）：" :label-width="formLabelWidth">
          <el-upload
            :show-file-list="false"
            name="filedatas"
            :action="uploadPictureHost"
            :on-remove="videoRemove"
            :data="videoData"
            list-type="picture-card"
            :on-success = "videoSuccess"
            :file-list="videoList"
            :limit="1"
            multiple
            accept=".mp4,.m4v,.mov,.qt,.avi,.mkv,.rm,.rmvb,.asf,.wmv"
            >
            <div class="video-box">
            <i class="el-icon-circle-close icon1" @click="videoRemove"></i>
            <video  v-if="videoList.length" class="video-img" loop="loop" muted="muted" controls="true" preload="auto" :src="videoList[0].url"></video>
            </div>
            <i class="el-icon-upload"></i>
          </el-upload>
        </el-form-item>
        <el-form-item label="图片（最多20张）：" :label-width="formLabelWidth">
          <el-upload
            ref="picUpload"
            name="filedatas"
            :action="uploadPictureHost"
            :on-remove="picRemove"
            :on-preview="handlePictureCardPreview"
            :data="picData"
            list-type="picture-card"
            :file-list="picList"
            :on-success = "picSuccess"
            :limit="20"
            accept=".jpg,.jpeg,.png,.gif,.bmp,.pdf,.JPG,.JPEG,.PBG,.GIF,.jfif"
            multiple>
            <i class="el-icon-plus"></i>
          </el-upload>
          <el-dialog :visible.sync="dialogVisible" append-to-body top="5vh" center>
            <img width="100%" :src="dialogImageUrl" alt="">
          </el-dialog>
        </el-form-item>
		  </el-form>
		  <div slot="footer" class="dialog-footer">
		    <el-button @click="girlHandleClose">取 消</el-button>
		    <el-button type="primary" @click="submitForm">确 定</el-button>
		  </div>
		</el-dialog>

  <!--图集图片信息-->
  <el-drawer :visible.sync="pictureFormVisible"  :direction="direction" :size="size" :before-close="pictureHandleClose">
    <el-form  :model="picForm" :span="50" ref="picForm">

      <el-tabs class="scroll"
        v-model="activeName"
        type="border-card"
        tab-position="left"
      >
        <el-row >
          <el-col
            v-for="(picture, index) in pictureData"
            :key="picture.uid"
            style="padding: 6px"
            :xs="24"
            :sm="12"
            :md="12"
            :lg="6"
            :xl="4"
          >
            <el-card
              :body-style="{ padding: '0px', textAlign: 'center' }"
              shadow="always"
            >
              <el-image class="showimg"
                :src="picture.pictureUrl"
                style="cursor:pointer"
                fit="cover"
                @click="showPicture(picture.pictureUrl)"
                v-if="picture.uid"
              />
              <video id="myVideo" v-else class="video-js" controls="true" preload="auto">
                <source :src="picture.pictureUrl" type="video/mp4">
              </video>
              <div @click="showPicture(picture.pictureUrl)">
                <span class="media-title" v-if="picture.updateTime">{{picture.updateTime}}</span>
                <span class="media-title" v-else>图片 {{index + 1}}</span>
              </div>
            </el-card>

          </el-col>
        </el-row>

      </el-tabs>


    </el-form>
    <div slot="footer" class="dialog-footer">
    </div>
  </el-drawer>

  <el-dialog :visible.sync="dialogPictureVisible" fullscreen style="text-align: center">
    <img :src="dialogImageUrl" alt="">
  </el-dialog>

  </div>
</template>

<script>
import { getSystemConfig } from "@/api/systemConfig";
import { getPicList,editGirlPicList } from "@/api/girlPicture";
import { getTagList } from "@/api/girlTag";
import { getCityList } from "@/api/girlCity";
import { getGirlList,addGirl,editGirl,deleteGirl,changeAvailable } from "@/api/girl";
import { getToken } from '@/utils/auth'
import PictureCropper from '@/components/PictureCropper';
import Video from 'video.js'
import 'video.js/dist/video-js.css'
Vue.prototype.$video = Video
export default {
  components: {
    PictureCropper,
    Video
  },
  created() {
    this.girlList();
    // 获取标签列表
    this.tagList();
    this.cityList();
    this.getSystemConfig();
    this.token = getToken();
    this.picData = {
      source: "picture",
      userUid: "1",
      adminUid: "1",
      projectName: "blog",
      sortName: "admin",
      token: this.token
    };
    this.videoData = {
      source: "picture",
      userUid: "1",
      adminUid: "1",
      projectName: "blog",
      sortName: "admin",
      token: this.token
    };
  },
  data() {
    return {

      video: {
        url: null,
        cover: null,
        muted: false,
        loop: false,
        preload: 'auto',
        poster: '',
        volume: 1,
        autoplay: false
      },
      videoList:[], // 已上传视频列表
      picList:[], // 已上传图片列表
      arrVideoList: null,
      picUploadList: [], //图片上传列表
      videoUploadUid: null, //视频上传列表
      uploadPictureHost: process.env.PICTURE_API + "/file/pictures",
      picData:{},
      videoData:{},
      token:null,
      direction: 'ltr',
      size: '100%',
      videoDialogImageUrl: "", //视图显示地址
      dialogImageUrl: "", //图片显示地址
      localPictureBaseUrl: "", //图片服务器地址
      tableData: [],
      picForm:{
        uid: null
      },
      form: {
        tagUid: null,
        cityUid: null,
      },
      queryParams:{
        uid: "",
        name: "",
        tagUid: "", //标签搜索
        cityUid: "", //标签搜索
        createTime: "", //创建时间搜索
        updateTime: "", //图集图片更新时间搜索
      },
      isChange: false, // 表单内容是否改变
      pictureAtlasUid: undefined, // 当前选中的图片分类uid
      dialogPictureVisible: false,
      changeCount: 0, // 改变计数器
      pictureUids: [], //图片uid集合
      tagData: [], //标签数据
      cityData: [], //标签数据
      resourceData: [], //来源数据
      pictureData: [], //图片数据
      fileList2:[],
      tagValue: [], //保存选中标签id(编辑时)
      cityValue: null, //保存选中标签id(编辑时)
      multipleSelection: [], //多选，用于批量修改标签
      loading: true,
      videoDialogVisible: false, //控制增加框和修改框的显示
      dialogVisible: false, //控制增加框和修改框的显示
      currentPage: 1,
      total: null,
      pageSize: 40,
      keyword: "",
      title: "增加",
      formLabelWidth: "150px", //弹框的label边框
      dialogFormVisible: false,
      pictureFormVisible: false,
      isEditForm: false,
      photoVisible: false, //控制图片选择器的显示
      photoList: [],
      yesNoDictList: [], // 是否字典
      fileIds: "",
      activeName:0,
      icon: false, //控制删除图标的显示
      isFirstPhotoVisible: true, // 图片选择器是否首次显示【用于懒加载】
      rules: {
        name: [
          {required: true, message: '妹子名称不能为空', trigger: 'blur'},
          {min: 2, max: 10, message: '2-10个字'},
        ],
        introduce: [
          {min: 0, max: 200, message: '最多输入200个字'},
        ],
        tagUid: [
          {required: true, message: '标签不能为空', trigger: 'blur'},
        ],
        age: [
          {pattern: /^[0-9]\d*$/, message: '来源字段只能为自然数'},
        ],
        priceOne: [
          {pattern: /^[0-9]\d*$/, message: '来源字段只能为自然数'},
        ],
        priceNight: [
          {pattern: /^[0-9]\d*$/, message: '来源字段只能为自然数'},
        ],
        height: [
          {pattern: /^[0-9]\d*$/, message: '来源字段只能为自然数'},
        ],
        weight: [
          {pattern: /^[0-9]\d*$/, message: '来源字段只能为自然数'},
        ],
        cup: [
          {min: 0, max: 10, message: '最多输入10个字'},
        ],
        occupation: [
          {min: 0, max: 100, message: '最多输入100个字'},
        ],
      },
    };
  },

  methods: {
    // 上传图片时预览图片
    handlePictureCardPreview(file) {
        this.dialogImageUrl = file.url;
        this.dialogVisible = true;
      },
    girlList: function() {
      var params = {};
      params.uid = this.queryParams.uid
      params.name = this.queryParams.name
      params.tagUid = this.queryParams.tagUid
      params.cityUid = this.queryParams.cityUid
      params.createTime = this.queryParams.createTime;
      params.updateTime = this.queryParams.updateTime
      params.pageSize =  this.pageSize
      params.currentPage = this.currentPage
      getGirlList(params).then(response => {
        this.tableData = response.data.records;
        this.currentPage = response.data.current;
        this.pageSize = response.data.size;
        this.total = response.data.total;
      });
    },
    tagList: function() {
      var tagParams = {};
      tagParams.pageSize = 1000;
      tagParams.currentPage = 1;
      getTagList(tagParams).then(response => {
        this.tagData = response.data.records;
      });
    },
    cityList: function() {
      var tagParams = {};
      tagParams.pageSize = 1000;
      tagParams.currentPage = 1;
      getCityList(tagParams).then(response => {
        this.cityData = response.data.records;
      });
    },
    pictureList() {
      var params = {};
      params.currentPage = 1;
      params.girlUid = this.picForm.uid;
      params.pageSize = 1000;
      getPicList(params).then(response =>{
        this.pictureData = response.data.records
        this.picUploadList = this.pictureData
        /*let arrPicUploadList = []
        let arrVideoList = []
        for(let i = 0; i < this.picUploadList.length; i++ ) {
          if(this.picUploadList[i].pictureUrl.slice(-3) != 'mp4') {
            arrPicUploadList.push(this.picUploadList[i])
          } else {
            console.log(this.picUploadList[i],'hhhhhhhhh');
            arrVideoList.push(this.picUploadList[i])
          }
        }

        this.fileList2 = arrVideoList.map(item => {return {name: item.fileUid , url: item.pictureUrl}})
        console.log('fileList2='+JSON.stringify(this.fileList2));*/
      });
    },
    editGirlPicList() {
      var params = {};
      params.currentPage = 1;
      params.girlUid = this.picForm.uid;
      params.pageSize = 1000;
      editGirlPicList(params).then(response =>{
        this.picUploadList = response.data.records
        this.picList = this.picUploadList.map(item => {return {name: item.picName , url: item.pictureUrl, fileUid: item.uid, uid:""}});
      });
    },

    showPicture: function(url) {
      this.dialogPictureVisible = true
      this.dialogImageUrl = url
    },

    //点击单选
    checked: function(data) {
      let idIndex = this.pictureUids.indexOf(data.uid);
      if (idIndex >= 0) {
        //选过了
        this.pictureUids.splice(idIndex, 1);
      } else {
        this.pictureUids.push(data.uid);
      }
    },
    // 内容改变，触发监听
    tagContentChange: function() {
      // this.form.tagUid = this.tagValue.join(",");
    },



    handleFind: function() {
      this.currentPage = 1
      this.girlList();
    },
    getFormObject: function() {
      var formObject = {
        uid: null,
        name: null,
        fileUid: null,
        sort: 0,
        isShow: this.yesNoDefault,
      };
      return formObject;
    },

    /**
     * 翻页事件
     */
    handleSizeChange(val) {
      this.pageSize = val;
      this.girlList();
    },
    //改变页码
    handleCurrentChange(val) {
      this.currentPage = val;
      this.girlList();
    },
    //点击新增
    handleAdd: function() {
      this.title = "增加"
      this.dialogFormVisible = true;
      this.form = this.getFormObject();
      this.isEditForm = false;
      this.tagValue = [];
      this.cityValue = null;
    },
    //点击编辑
    handleEdit: function(row) {
      this.title = "编辑"
      this.dialogFormVisible = true;
      this.isEditForm = true;
      this.form = row;
      this.cityValue = this.form.cityUid;
      this.tagValue = [];
      this.picForm.uid = row.uid
      if (this.form.tagUid != undefined){
        var tagValue = this.form.tagUid.split(",");
        for (var a = 0; a < tagValue.length; a++) {
          if (tagValue[a] != null && tagValue[a] != "") {
            this.tagValue.push(tagValue[a]);
          }
        }
        this.form.tagUid = this.tagValue;
      }
      // this.pictureList()
      this.editGirlPicList()
      if(this.form.photoList && this.form.photoList.length > 0){
        this.videoList = [{name:null,uid:null,fileUid:null, url: this.form.photoList[0] }];
      }

    },
    //点击开关
    changeSwitch: function(row) {
          changeAvailable(row).then(response => {
            if(response.code == this.$ECode.SUCCESS) {
              this.$commonUtil.message.success(response.message)
            } else {
              this.$commonUtil.message.error(response.message)
            }
            this.girlList();
          })
          .catch(() => {})
    },
    handlePic(row) {
      this.pictureFormVisible = true;
      this.picForm.uid = row.uid;
      this.pictureList();

    },
    submitForm: function() {
      this.$refs.form.validate((valid) => {
        if(!valid) {
          console.log("校验出错")
        } else {
          this.form.tagUid = this.form.tagUid.join(",");
          this.form.picList = this.picUploadList;
          this.form.videoUid = this.videoUploadUid;
          // console.log("新增编辑="+JSON.stringify(this.form))
          if (this.isEditForm) {
            editGirl(this.form).then(response => {
              this.$commonUtil.message.success(response.message)
              this.dialogFormVisible = false;
              this.girlList();
            });
          } else {
            addGirl(this.form).then(response => {
              if (response.code == this.$ECode.SUCCESS) {
                this.$commonUtil.message.success(response.message)
              } else {
                this.$commonUtil.message.error(response.message)
              }
              this.dialogFormVisible = false;
              this.girlList();
            });
          }
          this.girlHandleClose();
        }
      })
    },

    /*妹子删除*/
    handleDelete: function(row) {
      var that = this;
      this.$confirm("此操作将把妹子资源删除, 是否继续?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      })
        .then(() => {
          deleteGirl(row).then(response => {
            if(response.code == this.$ECode.SUCCESS) {
              this.$commonUtil.message.success(response.message)
            } else {
              this.$commonUtil.message.error(response.message)
            }
            this.girlList();
          });
        })
        .catch(() => {
          this.$commonUtil.message.info("已取消删除")
        });
    },

    /*图片*/
    picRemove(file, fileList) {
        this.picUploadList = this.picUploadList.filter(t => t.picName != file.name)
    },
    picSuccess: function(response, file, fileList) {
      if (response.code == this.$ECode.SUCCESS) {
        let file = response.data;
        for (let index = 0; index < file.length; index++) {
          let picture = {};
          picture.fileUid = file[index].uid;
          picture.picName = file[index].picName;
          picture.url = file[index].picUrl
          picture.fileOldName = file[index].fileOldName;
          this.picUploadList.push(picture)
        }

        this.count = this.count + 1;
        if(this.count % fileList.length == 0) {
          addPicture(this.picUploadList).then(res => {
            if (res.code == this.$ECode.SUCCESS) {
              this.$commonUtil.message.success(res.message)
              this.handleCurrentChange(this.currentPage);
            } else {
              this.$commonUtil.message.error(res.message)
            }
            this.$refs.picUpload.clearFiles();
            // this.picUploadList = []
          });
        }
      } else {
        this.$commonUtil.message.error(response.message)
      }
    },

    /*视频*/
    videoRemove(file, fileList) {
      // this.videoUploadUid = null;
    this.videoList = []
    },
    videoSuccess: function(response, file, fileList) {
      if (response.code == this.$ECode.SUCCESS) {
        let file = response.data;
        for (let index = 0; index < file.length; index++) {
          this.videoUploadUid = file[index].uid;
          this.videoList = [{name:null,uid:null,fileUid:null, url: this.localPictureBaseUrl+file[index].picUrl }];
        }
        this.count = this.count + 1;
        if(this.count % fileList.length == 0) {
          addPicture(this.picUploadList).then(res => {
            if (res.code == this.$ECode.SUCCESS) {
              this.$commonUtil.message.success(res.message)
              this.handleCurrentChange(this.currentPage);
            } else {
              this.$commonUtil.message.error(res.message)
            }
            this.$refs.videoUpload.clearFiles();
            this.videoUploadUid = null;
          });
        }
      } else {
        this.$commonUtil.message.error(response.message)
      }
    },

    pictureHandleClose(){
      this.pictureData = [];
      this.pictureFormVisible = false;
    },

    girlHandleClose(){
      this.form = {};
      this.dialogFormVisible = false;
      this.$refs.picUpload.clearFiles();
      // this.$refs.videoUpload.clearFiles();
      this.picUploadList = [];
      this.videoList = [];
      this.videoUploadUid = null;
      this.girlList();
    },

    getSystemConfig: function() {
      getSystemConfig().then(response => {
        if (response.code == this.$ECode.SUCCESS) {
          if (response.data) {
            this.localPictureBaseUrl = response.data.localPictureBaseUrl;
          }
        }
      });
    },

  }
};
</script>
<style scoped>
.video-box {
  position: relative;
}
.el-icon-circle-close {
  width: 20px;
  height: 20px;
  z-index: 999;
  position: absolute;
  top: 5px;
  right: 10px;
  display: none;
}
.video-box:hover .el-icon-circle-close {
  display: block;
}
.video-img {
  width: 145px;
  height: 145px;
}
.avatar-uploader .el-upload {
  border: 1px dashed #d9d9d9;
  border-radius: 6px;
  margin: 0, 0, 0, 10px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
}
.avatar-uploader .el-upload:hover {
  border-color: #409eff;
}
.avatar-uploader-icon {
  font-size: 28px;
  color: #8c939d;
  width: 195px;
  height: 105px;
  line-height: 105px;
  text-align: center;
}
.imgBody {
  width: 195px;
  height: 105px;
  border: solid 2px #ffffff;
  float: left;
  position: relative;
}
.uploadImgBody {
  margin-left: 5px;
  width: 195px;
  height: 105px;
  border: dashed 1px #c0c0c0;
  float: left;
  position: relative;
}
.uploadImgBody :hover {
  border: dashed 1px #00ccff;
}
.show_table {
  background-color: #dde;
  width: 100%;
  overflow: auto;
  position: relative;
}
.scroll {
  width: 100%;
  height: calc(100vh - 131px);
  overflow: hidden;
  overflow-y: auto;
}
.showimg {
  width: 357px;
  height: 467px;
  background-color: royalblue;
}
.video-js {
  width: 400px;
  height: 470px;
}
</style>
